package com.bonus.canteen.core.device.service;

import java.util.List;
import com.bonus.canteen.core.device.domain.DeviceBind;

/**
 * 设备绑定多档口子Service接口
 * 
 * @author xsheng
 * @date 2025-05-25
 */
public interface IDeviceBindService {
    /**
     * 查询设备绑定多档口子
     * 
     * @param id 设备绑定多档口子主键
     * @return 设备绑定多档口子
     */
    public DeviceBind selectDeviceBindById(Long id);

    /**
     * 查询设备绑定多档口子列表
     * 
     * @param deviceBind 设备绑定多档口子
     * @return 设备绑定多档口子集合
     */
    public List<DeviceBind> selectDeviceBindList(DeviceBind deviceBind);

    /**
     * 新增设备绑定多档口子
     * 
     * @param deviceBind 设备绑定多档口子
     * @return 结果
     */
    public int insertDeviceBind(DeviceBind deviceBind);

    /**
     * 修改设备绑定多档口子
     * 
     * @param deviceBind 设备绑定多档口子
     * @return 结果
     */
    public int updateDeviceBind(DeviceBind deviceBind);

    /**
     * 批量删除设备绑定多档口子
     * 
     * @param ids 需要删除的设备绑定多档口子主键集合
     * @return 结果
     */
    public int deleteDeviceBindByIds(Long[] ids);

    /**
     * 删除设备绑定多档口子信息
     * 
     * @param id 设备绑定多档口子主键
     * @return 结果
     */
    public int deleteDeviceBindById(Long id);
}
